Debian Bug report logs - #573110
developers-reference: Team uploads.

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Charles Plessy <plessy@debian.org>

Date: Tue, 9 Mar 2010 01:30:01 UTC

Severity: wishlist

Tags: patch

Found in version developers-reference/3.4.3

Fixed in version developers-reference/3.4.4

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#573110; Package developers-reference. (Tue, 09 Mar 2010 01:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 09 Mar 2010 01:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: developers-reference: Team uploads.
Date: Tue, 09 Mar 2010 10:27:45 +0900
[Message part 1 (text/plain, inline)]
Package: developers-reference
Version: 3.4.3
Severity: wishlist
Tags: patch

Dear all,

following discussions on debian-devel, still ongoing, I propose the
attached patch for team uploads (http://wiki.debian.org/TeamUpload).

The formalisation of team uploads would help team members to show the priority
they have in the packages maintained by their team, by being Uploader for some
but not all.

Here is the summary of the patch:

 - NMUs whose changelog entry starts by “ * Team upload.” are normal uploads.
 - Do a team upload only if it is a practice agreed with in your team.
 - Do not let a package with no human uploader.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[team-uploads.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#573110; Package developers-reference. (Sun, 28 Mar 2010 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 28 Mar 2010 21:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 573110@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 573110@bugs.debian.org
Subject: Re: Bug#573110: developers-reference: Team uploads.
Date: Sun, 28 Mar 2010 23:33:01 +0200
tags 573110 + pending
thanks

On Tue, 09 Mar 2010, Charles Plessy wrote:
> The formalisation of team uploads would help team members to show the priority
> they have in the packages maintained by their team, by being Uploader for some
> but not all.

I agree this is a good thing in general. I saw team uploads done with
the email of the team in the changelog entry just to avoid the lintian
warning and this is counter-productive. We really want names of people
in the changelog.

So I commited a change based on your patch:
diff --git a/pkgs.dbk b/pkgs.dbk
index f40e7f3..baec071 100644
--- a/pkgs.dbk
+++ b/pkgs.dbk
@@ -2194,6 +2194,21 @@ the new version (see <xref linkend="adopting"/>).
 
 </section>
 
+<section id="nmu-team-upload">
+<title>NMUs vs team uploads</title>
+
+<para>
+Sometimes you are fixing and/or updating a package because you are member of a
+packaging team (which uses a mailing list as Maintainer or Uploader, see <xref
+linkend="collaborative-maint"/>) but you don't want to add yourself to Uploaders
+because you do not plan to contribute regularly to this specific package. If it
+conforms with your team's policy, you can perform a normal upload without
+being listed directly as Maintainer or Uploader. In that case, you should
+start your changelog entry with the following line: <code> * Team upload.</code>.
+</para>
+
+</section>
+
 </section>
 
 <section id="collaborative-maint">
@@ -2268,11 +2283,17 @@ moderation for non-subscribers).
 </para>
 </listitem>
 </orderedlist>
+
 <para>
 In any case, it is a bad idea to automatically put all team members in the
-Uploaders field.  It clutters the Developer's Package Overview listing (see
+Uploaders field. It clutters the Developer's Package Overview listing (see
 <xref linkend="ddpo"/> ) with packages one doesn't really care for, and creates
-a false sense of good maintenance.
+a false sense of good maintenance. For the same reason, team members do
+not need to add themselves to the Uploaders field just because they are
+uploading the package once, they can do a “Team upload” (see <xref
+linkend="nmu-team-upload"/>). Conversely, it it a bad idea to keep a
+package with only the mailing list address as a Maintainer and no
+Uploaders.
 </para>
 </section>
 

-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Added tag(s) pending. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 28 Mar 2010 21:36:04 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Fri, 26 Nov 2010 12:06:43 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Fri, 26 Nov 2010 12:06:43 GMT) Full text and rfc822 format available.

Message #17 received at 573110-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 573110-close@bugs.debian.org
Subject: Bug#573110: fixed in developers-reference 3.4.4
Date: Fri, 26 Nov 2010 12:02:07 +0000
Source: developers-reference
Source-Version: 3.4.4

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-fr_3.4.4_all.deb
  to main/d/developers-reference/developers-reference-fr_3.4.4_all.deb
developers-reference-ja_3.4.4_all.deb
  to main/d/developers-reference/developers-reference-ja_3.4.4_all.deb
developers-reference_3.4.4.dsc
  to main/d/developers-reference/developers-reference_3.4.4.dsc
developers-reference_3.4.4.tar.bz2
  to main/d/developers-reference/developers-reference_3.4.4.tar.bz2
developers-reference_3.4.4_all.deb
  to main/d/developers-reference/developers-reference_3.4.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573110@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 22 Nov 2010 19:28:03 -0400
Source: developers-reference
Binary: developers-reference developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.4
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 257150 469154 540231 540974 548823 553974 554054 554077 555685 556229 557298 560808 561597 561952 564068 564414 567233 567234 567235 573110 578664 585161
Changes: 
 developers-reference (3.4.4) unstable; urgency=low
 .
   [ Lucas Nussbaum ]
   * Document the new derivatives-bugs PTS keyword.
   * Removed hp.debian.or.jp reference. Closes: 561597
 .
   [ Raphaël Hertzog ]
   * Update description of the PTS "summary" keyword. Thanks to
     Simon McVittie <smcv@debian.org> for the patch. Closes: #469154
   * Add accent on my first name in debian/control.
   * Use "3.0 (native)" source format with bzip2 compression.
     Created debian/source/{format,options} for this.
   * Update guideline for override change to point to BTS
     instead of email. Thanks to Simon McVittie <smcv@debian.org> for the
     patch. Closes: #540231
   * Include full URL to the README of the upload queue. Thanks to Simon
     McVittie <smcv@debian.org> for the patch. Closes: #540974
   * The key protecting #debian-private is now stored on a file
     on master.debian.org, it's no more required to search into
     the debian-private archives. Thanks to gregor herrmann <gregoa@debian.org>
     for the patch. Closes: #548823
   * Update information about upload queues. Thanks to Simon McVittie
     <smcv@debian.org> for the patches:
     - point to official names {ftp,ssh}.upload.debian.org. Closes: #554054
     - drop references to non-working queues. Closes: #554077
   * Mention docbook, POD and reST as convenient formats to write new manual
     pages. Thanks to Charles Plessy and the debian-mentors list
     for the idea and the patch. Closes: #557298
   * Update several sections to take into account the new source formats “3.0
     (quilt)” and “3.0 (native)”. Closes: #561952
   * Drop reference to “dbs” in the section about including binary files.
   * Fix typo “transfered“ → “transferred”. Closes: #555685
   * Fix typo “programms“ → “programs”. Closes: #560808
   * Drop section about debmake, it has been removed of Debian since lenny.
   * Update URL of the security tracker. Thanks to Salvatore Bonaccorso.
     Closes: #556229
   * Update URL of Packages-arch-specific. Closes: #553974
   * Update section about Alioth to mention FusionForge instead of GForge.
     Drop mention of separate cvs.debian.org it's managed by Alioth too.
     Closes: #564068
   * Document new "buildd" keyword from the PTS.
   * Update URL explaining the "Debian Maintainer" status, it's now at
     http://wiki.debian.org/DebianMaintainer. Closes: #564414
   * Update number of source packages. Thanks Karl Goetz. Closes: #567235
   * Update and simplify list of architectures. Thanks Karl Goetz.
     Closes: #567234
   * Small typo fixes and clarifications/rewordings suggested by Karl Goetz.
     Closes: #567233
   * Document the notion of "team upload": it looks like an NMU but it's not
     really one because the uploader is an implicit co-maintainer since he's
     part of the maintenance team. Thanks to Charles Plessy for the initial
     patch. Closes: #573110
   * Update standards-version to 3.9.1 and add missing ${misc:Depends} in
     dependencies.
   * Fix debian/tocsubstvars to cope with the new way dpkg-dev handles
     multi-lines substitution variables.
 .
   [ David Prévot ]
   * Update outdated mentions, typos and tags. Closes: #578664
   * French translation updated from the 2006 debiandoc version.
   * Apply updated patch from Nicolas François. Closes: #257150
   * dinstall run happens four times a day. Closes: #585161
   * Activate Japanese package.
   * Handle addendum if it exists.
Checksums-Sha1: 
 2a4888075d5337ee52690f0e1610490abfc59639 1570 developers-reference_3.4.4.dsc
 ef7060def7cfed41b965bbc240522f68d8629045 414819 developers-reference_3.4.4.tar.bz2
 71dbd1e62141eaf4bf6f8d26b0e6637949b68130 715154 developers-reference_3.4.4_all.deb
 8486547e1bae8079af3f96bdac32fc0908b849d2 773814 developers-reference-fr_3.4.4_all.deb
 cd477a4c01fd0be50c9c6247652c58bd807fc2cd 267154 developers-reference-ja_3.4.4_all.deb
Checksums-Sha256: 
 747fabe47a37cd8b79fb67b2c3d2269a6edb1606d34ebdb9eab8a9c99570c147 1570 developers-reference_3.4.4.dsc
 545f2bb6821d5e4122208062bd8a8f70fb171bb43a76244ca66cd71801ba351b 414819 developers-reference_3.4.4.tar.bz2
 6cadfe32430ed9fc7fb053502974aadb6ca48f7f8a0df8efca959e01a3f04fcc 715154 developers-reference_3.4.4_all.deb
 1dc4c5c89a4a0de3b2e4b7ea216fa85c5a451821cb0e0fee3214815541898d0e 773814 developers-reference-fr_3.4.4_all.deb
 fa65f65722b8ba6ae015e5a1db75fef29ceb15a43040b65cfc8dd3fec05eec6c 267154 developers-reference-ja_3.4.4_all.deb
Files: 
 0df3795be2aee47c6c23fd3e866fc806 1570 doc optional developers-reference_3.4.4.dsc
 4b076c7111833f1cd07dcc4bc6858998 414819 doc optional developers-reference_3.4.4.tar.bz2
 bc517b1f5b05b4133d1602c1b25516f8 715154 doc optional developers-reference_3.4.4_all.deb
 9487360535cb684abda69ec01234dfd1 773814 doc optional developers-reference-fr_3.4.4_all.deb
 104424d36ae0cf4417dd593ab2a8f30d 267154 doc optional developers-reference-ja_3.4.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQEcBAEBCAAGBQJM7ZcGAAoJEAOIHavrwpq5SI8IALl6KKFnOaCz0H6uNeLm2Xcs
SuCc1ofhqvNW8SnLqYpaZqG4vfvQb+K9FLDbasBsSZjZNOYO+IfpN+CgdSq3yRbG
QUe2MhG4zkiTZen8AoLUsoIgNSHmjy5qUMydyMS6szG7dwDlRyHFyAmsDFAjBDCb
ozGKXI0HZ1AivicVPsLn6hxdPT0qWu7I/61UhdB31VvlZz9Fkx7JOZ31KFJm8KZZ
gpQn8VpHfyWlEPlgh4ILSGIr1Z5977sr3p9MZsrA7qnAKy96tLtZYqq+4lLQ+AO6
hZusdiE1sN+CsBMM5KqrdcFTkIpDa4wReJXmPY2ImOuQcLhBiwfYusBPv2YrBSA=
=kVzR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jan 2011 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:02:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.